import type { DataType } from '../types';

export type parseOptions<T> = {
	default?: T;
	parseHandler?: (value: DataType) => T;
};

export type InferArrayOptions = {
	/** when true on inferEach or inferAt error will be ignored and will only return successfully inferred row only. (warn messages will still console logged) */
	skipError?: boolean;
}